> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okrapdf.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> List documents owned by the authenticated API key.

## Overview

Returns a paginated list of documents associated with the authenticated API key.

## Request

<ParamField query="limit" type="integer">
  Max results to return (1-100, default 20).
</ParamField>

<ParamField query="after" type="string">
  Cursor: return results after this document ID.
</ParamField>

<ParamField query="before" type="string">
  Cursor: return results before this document ID.
</ParamField>

<ParamField query="order" type="string">
  Sort order by `inserted_at`: `asc` or `desc`.
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl "https://api.okrapdf.com/v1/documents?limit=10&order=desc" \
    -H "Authorization: Bearer okra_YOUR_KEY"
  ```
</RequestExample>

### Response (200)

```json theme={null}
{
  "data": [
    {
      "id": "doc-abc123",
      "status": "completed",
      "file_name": "annual-report.pdf",
      "total_pages": 42,
      "pages_completed": 42,
      "inserted_at": "2025-01-15T08:30:00Z",
      "updated_at": "2025-01-15T08:32:00Z",
      "thumbnail_url": "https://res.okrapdf.com/v1/documents/doc-abc123/pg_1.png",
      "is_public": false,
      "source": "api"
    }
  ],
  "has_more": false
}
```
